## kalgebra 17.12.3

=== plasmoids/CMakeLists.txt ===
# add_subdirectory(calculator)
# TODO: port to QML

install(DIRECTORY graphsplasmoid/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma/plasmoids/org.kde.graphsplasmoid)
install(FILES graphsplasmoid/metadata.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} RENAME graphsplasmoid.desktop)

=== mobile/plugins/widgets/qtcontrols/CMakeLists.txt ===
install( FILES
    Label.qml Button.qml CalcButton.qml ExpressionInput.qml
    RealInput.qml SimpleListView.qml
    
    KAlgebraPage.qml  KAlgebraMobile.qml AddButton.qml Dialog.qml ComboBox.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

=== debian/changelog ===
kalgebra (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:59 +0000

kalgebra (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:36 +0000

kalgebra (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:33 +0000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libanalitza-dev (>= 4:17.12.3~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev
Standards-Version: 3.9.7
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra

Package: kalgebra
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: calgebra
Replaces: calgebra
Breaks: kalgebramobile (<< 4:4.7.2)
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         plasma-framework,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
Replaces: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
Depends: plasma-framework,
         qml-module-org-kde-analitza,
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='kalgebra-dbg (<= 4:15.12.1-1~~)'

## kalgebra 18.04.3

=== debian/changelog ===
kalgebra (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Jul 2018 23:17:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libanalitza-dev (>= 4:17.12.3~),
+               libanalitza-dev (>= 4:18.04.3~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
@@ -22,7 +22,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
-               qtwebengine5-dev
+               qtwebengine5-dev,
 Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra

## kalgebra 18.12.3

=== debian/changelog ===
kalgebra (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:41 +0000

kalgebra (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:04 +0000

kalgebra (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:27 +0000

kalgebra (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:07 +0000

kalgebra (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - Update install files for 18.08.3 release.
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: Kubuntu Vcs fields.
    - d/control: Bumped build deps.
    - Do not build cut down mobile version on non QtWebEngine architectures.
      + d/rules: Drop arch dependant changes.
      + d/control: No arch dependant build deps and package relations.
      + d/patches: Drop all patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 17:37:35 +0000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libanalitza-dev (>= 4:18.12.3~),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtwebengine5-dev,
Standards-Version: 4.1.2
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra

Package: kalgebra
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: calgebra
Replaces: calgebra, kalgebra-common (<< 4:18.7.70~)
Breaks: kalgebra-common (<< 4:18.7.70~), kalgebramobile (<< 4:4.7.2)
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
Replaces: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
Depends: plasma-framework,
         qml-module-org-kde-analitza,
         ${misc:Depends},
         ${shlibs:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         plasma-framework,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kalgebra-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kalgebra-dbg (<= 4:15.12.1-1~~)'

## kalgebra 19.04.3

=== debian/changelog ===
kalgebra (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:20 +0100

kalgebra (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:15 +0100

kalgebra (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:21 +0100

kalgebra (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libanalitza-dev (>= 4:18.12.3~),
+               libanalitza-dev (>= 4:19.04.3~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.31.0~),

## kalgebra 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kalgebra VERSION ${KDE_APPLICATIONS_VERSION})

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMAddAppIcon)

find_package(Analitza5 REQUIRED)

set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CURSES_NEED_NCURSES TRUE)
find_package(Curses)
find_package(Readline)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KALGEBRA VERSION_HEADER kalgebra_version.h)

set_package_properties(Readline PROPERTIES TYPE OPTIONAL
                                           PURPOSE "Allows KAlgebra to provide a console interface."
                                           URL "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html")
set_package_properties(Curses PROPERTIES TYPE OPTIONAL
                                         PURPOSE "Allows KAlgebra to provide a console interface."
                                         URL "http://www.gnu.org/software/ncurses/")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_CAST_TO_ASCII)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools)
find_package(Qt5WebEngineWidgets)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

if(KF5DocTools_FOUND AND Qt5WebEngineWidgets_FOUND AND KF5ConfigWidgets_FOUND AND KF5WidgetsAddons_FOUND AND KF5KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
    add_subdirectory(src)
    add_subdirectory(plasmoids)
endif()

add_subdirectory(icons)
add_subdirectory(mobile)

if(READLINE_FOUND AND CURSES_FOUND)
    add_subdirectory(calgebra)
endif()

if(KF5DocTools_FOUND)
  add_subdirectory(utils)

  add_custom_target(commandsdoc
    ${CMAKE_CURRENT_BINARY_DIR}/utils/docbook_analitzacommands commands.docbook
    DEPENDS docbook_analitzacommands
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc/
    COMMENT "Generating commands docbook information"
  )

  add_subdirectory(doc)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== mobile/plugins/widgets/CMakeLists.txt ===
add_subdirectory(${MOBILE_BACKEND})

install( FILES
    qmldir
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

=== mobile/plugins/widgets/kde/CMakeLists.txt ===
set(QMLFILES AddButton.qml KAlgebraPage.qml KAlgebraMobile.qml
    ../qtcontrols/RealInput.qml ../qtcontrols/ExpressionInput.qml)

install( FILES
    AddButton.qml KAlgebraPage.qml KAlgebraMobile.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

install(FILES
    ../qtcontrols/RealInput.qml ../qtcontrols/ExpressionInput.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

ADD_CUSTOM_TARGET(QMLFILES SOURCES ${QMLFILES})

=== debian/changelog ===
kalgebra (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:50 +0000

kalgebra (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:12 +0000

kalgebra (4:19.12.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: kalgebra Breaks/Replaces kalgebra-common (<< 4:18.12.3~)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Feb 2020 16:20:31 +0000

kalgebra (4:19.12.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on architectures without qtwebengine5-dev. (Closes: #950565)
  * Bump Standards-Version to 4.5.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Feb 2020 23:09:09 +0100

kalgebra (4:19.12.1-1ubuntu1) focal; urgency=medium

  * Restore kalgebra Breaks/Replaces kalgebra-common (<< 4:18.12.3~)

 -- Rik Mills <rikmills@kde.org>  Mon, 27 Jan 2020 13:34:15 +0000

kalgebra (4:19.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries to Salsa.

  [ Aurélien COUDERC ]
  * Change debian/watch to point to new KDE release service URL.
  * New upstream release (19.12.1) (Closes: #914300).
  * Update dependencies according to upstream build system:
    - cmake >= 3.5
    - add libkf5coreaddons-dev
  * Bump build dependency to libanalitza-dev to >= 19.12~ required for
    kalgebra mobile.
  * Drop patch cmake-dependencies.diff, merged upstream.
  * debian/control:
    - Move to debhelper-compat build dependency, bump level to 12
  * Borrow minimal upstream signing key from k3b.
  * Bump Standards-Version to 4.4.1:
    - Add Rules-Requires-Root: no to debian/control
  * Refresh debian/copyright.
  * Drop l10n migration rules not needed anymore after 2 stable releases.
  * Drop dbgsym migration rules not needed anymore after 2 stable releases.
  * Drop obsolete breaks / replaces.
  * Fix upstream project URL.
  * Add build hardening flag hardening=+all.
  * Switch from dhmk to dh --with kf5.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Jan 2020 23:03:24 +0100

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0~),
               libanalitza-dev (>= 4:19.12.3~),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libkf5configwidgets-dev (>= 5),
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5),
               libkf5kio-dev,
               libkf5widgetsaddons-dev (>= 5),
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/education/org.kde.kalgebra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: calgebra
Replaces: kalgebra-common (<< 4:18.12.3~)
Breaks: kalgebra-common (<< 4:18.12.3~)
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: plasma-framework,
         qml-module-org-kde-analitza,
         ${misc:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
         plasma-framework,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 20.08.1

=== debian/changelog ===
kalgebra (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:09 +0100

kalgebra (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the libanalitza-dev build dependency to 20.08.0 to build against the
    new version.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 23:32:22 +0200

kalgebra (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Bump dh compat level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jun 2020 15:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
-               libanalitza-dev (>= 4:19.12.3~),
+               libanalitza-dev (>= 4:20.08.1~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5),
@@ -37,8 +37,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: calgebra
-Replaces: kalgebra-common (<< 4:18.12.3~)
-Breaks: kalgebra-common (<< 4:18.12.3~)
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language.

## kalgebra 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(kalgebra VERSION ${KDE_APPLICATIONS_VERSION})
+project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
 
 find_package(ECM 1.7.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
@@ -30,14 +30,14 @@
 find_package(Curses)
 find_package(Readline)
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KALGEBRA VERSION_HEADER kalgebra_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KALGEBRA VERSION_HEADER kalgebra_version.h)
 
 set_package_properties(Readline PROPERTIES TYPE OPTIONAL
                                            PURPOSE "Allows KAlgebra to provide a console interface."
-                                           URL "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html")
+                                           URL "https://tiswww.case.edu/php/chet/readline/rltop.html")
 set_package_properties(Curses PROPERTIES TYPE OPTIONAL
                                          PURPOSE "Allows KAlgebra to provide a console interface."
-                                         URL "http://www.gnu.org/software/ncurses/")
+                                         URL "https://www.gnu.org/software/ncurses/")
 
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
@@ -46,10 +46,7 @@
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
 find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools)
 find_package(Qt5WebEngineWidgets)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 
 if(KF5DocTools_FOUND AND Qt5WebEngineWidgets_FOUND AND KF5ConfigWidgets_FOUND AND KF5WidgetsAddons_FOUND AND KF5KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
     add_subdirectory(src)
@@ -76,8 +73,8 @@
   add_subdirectory(doc)
 endif()
 
-feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)
- kdoctools_install(po)
+    kdoctools_install(po)
 endif()
+feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== calgebra/CMakeLists.txt ===
include(CheckFunctionExists)
include(CMakePushCheckState)

include_directories(${READLINE_INCLUDE_DIR} ${CURSES_INCLUDE_DIR})

# check if we have recent version of Readline
cmake_push_check_state(RESET)
set(CMAKE_REQUIRED_LIBRARIES ${READLINE_LIBRARY} ${CURSES_LIBRARIES})
check_function_exists(free_history_entry HAVE_FREE_HISTORY_ENTRY)
cmake_pop_check_state()
if(HAVE_FREE_HISTORY_ENTRY)
    add_definitions(-DHAVE_FREE_HISTORY_ENTRY)
endif()

add_executable(calgebra main.cpp)
target_link_libraries(calgebra Qt5::Core ${READLINE_LIBRARY} KF5::Analitza)

install(TARGETS calgebra ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== mobile/CMakeLists.txt ===
add_subdirectory(plugins)

qt5_add_resources(KALGEBRAMOBILE_SRCS resources.qrc)
add_executable(kalgebramobile pluginsmodel.cpp
    ../src/consolemodel.cpp
    clipboard.cpp
    kalgebramobile.cpp main.cpp ${KALGEBRAMOBILE_SRCS})

target_link_libraries(kalgebramobile Qt5::Qml Qt5::Quick Qt5::Gui
    KF5::CoreAddons KF5::I18n KF5::Analitza KF5::AnalitzaGui KF5::AnalitzaPlot)

set(DESKTOPFILE_INSTALL ${KDE_INSTALL_APPDIR})

if(CMAKE_SYSTEM_NAME STREQUAL "Android")
#   Material requires QtSvg for icons
#   if we don't link it here explicitly, androiddeployqt doesn't bring it
    find_package(Qt5Svg REQUIRED)
    find_package(KF5Kirigami2 REQUIRED)
    kirigami_package_breeze_icons(ICONS list-add)
    target_link_libraries(kalgebramobile Qt5::Svg KF5::Kirigami2)
endif()

install(TARGETS kalgebramobile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kalgebramobile.desktop DESTINATION ${DESKTOPFILE_INSTALL} )
install(FILES org.kde.kalgebramobile.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== mobile/plugins/widgets/CMakeLists.txt ===


=== mobile/plugins/widgets/kde/CMakeLists.txt ===


=== debian/changelog ===
kalgebra (4:20.12.1-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 16 Dec 2017 12:52:33 +0000]
  * Make armhf a non-webengine architecture.
  * Fix clean target.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 21 Jan 2021 01:55:45 +0000

kalgebra (4:20.12.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + kalgebra-common: Add Multi-Arch: same.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.1).
  * Add missing QML runtime dependencies.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Refresh lintian overrides: tag binary-without-manpage renamed to
    no-manual-page.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 08 Jan 2021 00:11:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
-               libanalitza-dev (>= 4:20.08.1~),
+               libanalitza-dev (>= 4:20.08.0~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5),
@@ -23,15 +23,15 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
-               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/education/org.kde.kalgebra
+               qtwebengine5-dev [amd64 arm64 i386 mipsel],
+Standards-Version: 4.5.1
+Homepage: https://edu.kde.org/kalgebra
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
 Rules-Requires-Root: no
 
 Package: kalgebra
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 i386 mipsel
 Section: math
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
@@ -44,11 +44,13 @@
  This package is part of the KDE education module.
 
 Package: kalgebra-common
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 i386 mipsel
 Section: math
 Depends: plasma-framework,
          qml-module-org-kde-analitza,
+         qml-module-qtquick2,
          ${misc:Depends},
+Multi-Arch: same
 Description: contains files common for kalgebra and kalgebramobile
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language and it contains files needed for both full and mobile
@@ -59,9 +61,14 @@
 Package: kalgebramobile
 Architecture: any
 Section: math
-Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
+Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 i386 mipsel],
          plasma-framework,
          qml-module-org-kde-kirigami2,
+         qml-module-qtqml-models2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-dialogs,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: algebraic graphing calculator for small touch based interfaces

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

webengine_archs := amd64 arm64 i386 mipsel

%:
	dh $@ --with kf5

ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(webengine_archs)))
override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- -DMOBILE_BACKEND="none"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/kalgebra

## kalgebra 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:32 +0000

kalgebra (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:50:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
-               libanalitza-dev (>= 4:20.08.0~),
+               libanalitza-dev (>= 4:20.12.3~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5),
@@ -23,7 +23,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
-               qtwebengine5-dev [amd64 arm64 i386 mipsel],
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/kalgebra
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
@@ -31,7 +31,7 @@
 Rules-Requires-Root: no
 
 Package: kalgebra
-Architecture: amd64 arm64 i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel
 Section: math
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
@@ -44,7 +44,7 @@
  This package is part of the KDE education module.
 
 Package: kalgebra-common
-Architecture: amd64 arm64 i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel
 Section: math
 Depends: plasma-framework,
          qml-module-org-kde-analitza,
@@ -61,7 +61,7 @@
 Package: kalgebramobile
 Architecture: any
 Section: math
-Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 i386 mipsel],
+Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
          plasma-framework,
          qml-module-org-kde-kirigami2,
          qml-module-qtqml-models2,

## kalgebra 21.08.0

=== debian/changelog ===
kalgebra (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:47:12 +0900

kalgebra (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Add myself to uploaders.
  * Update upstream signing key.
  * Update dependencies according to cmake.
  * Update list of installed files.
  * Drop patch, upstream dropped plugin system.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 14:21:27 +0900

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.5~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.7.0~),
-               libanalitza-dev (>= 4:20.12.3~),
+               extra-cmake-modules (>= 5.83.0~),
+               kirigami2-dev,
+               libanalitza-dev (>= 4:20.08.0~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
-               libkf5configwidgets-dev (>= 5),
-               libkf5coreaddons-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev (>= 5),
-               libkf5kio-dev,
-               libkf5widgetsaddons-dev (>= 5),
+               libkf5configwidgets-dev (>= 5.83.0~),
+               libkf5coreaddons-dev (>= 5.83.0~),
+               libkf5doctools-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5kio-dev (>= 5.83.0~),
+               libkf5widgetsaddons-dev (>= 5.83.0~),
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.14),
+               libqt5svg5-dev (>= 5.15~),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
+               qtbase5-dev (>= 5.15~),
+               qtdeclarative5-dev (>= 5.15~),
+               qtquickcontrols2-5-dev,
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/kalgebra

## kalgebra 21.08.1

=== debian/changelog ===
kalgebra (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:59 +0100

kalgebra (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:11 +0100

kalgebra (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:50 +0100

kalgebra (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:11 +0100

kalgebra (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:00 +0100

kalgebra (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:21 +0100

kalgebra (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:09 +0100

kalgebra (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:31:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,28 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
-               kirigami2-dev,
-               libanalitza-dev (>= 4:20.08.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               libanalitza-dev (>= 4:21.08.1~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
-               libkf5configwidgets-dev (>= 5.83.0~),
-               libkf5coreaddons-dev (>= 5.83.0~),
-               libkf5doctools-dev (>= 5.83.0~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5kio-dev (>= 5.83.0~),
-               libkf5widgetsaddons-dev (>= 5.83.0~),
+               libkf5configwidgets-dev (>= 5),
+               libkf5coreaddons-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev (>= 5),
+               libkf5kio-dev,
+               libkf5widgetsaddons-dev (>= 5),
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.14),
-               libqt5svg5-dev (>= 5.15~),
+               libqt5opengl5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.15~),
-               qtdeclarative5-dev (>= 5.15~),
-               qtquickcontrols2-5-dev,
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4),
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/kalgebra

## kalgebra 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
-
-find_package(ECM 1.7.0 REQUIRED NO_MODULE)
+set(KF5_MIN_VERSION "5.83.0")
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
-find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test)
+find_package(Qt5 5.15 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test)
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)

=== calgebra/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif()
 
 add_executable(calgebra main.cpp)
-target_link_libraries(calgebra Qt5::Core ${READLINE_LIBRARY} KF5::Analitza)
+target_link_libraries(calgebra Qt::Core ${READLINE_LIBRARY} KF5::Analitza)
 
 install(TARGETS calgebra ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== mobile/CMakeLists.txt ===
qt_add_resources(KALGEBRAMOBILE_SRCS resources.qrc)

add_executable(kalgebramobile
    ../src/consolemodel.cpp
    clipboard.cpp
    kalgebramobile.cpp
    main.cpp
    ${KALGEBRAMOBILE_SRCS})

target_link_libraries(kalgebramobile Qt::Qml Qt::Quick Qt::Gui
    KF5::CoreAddons KF5::I18n KF5::Analitza KF5::AnalitzaGui KF5::AnalitzaPlot)

set(DESKTOPFILE_INSTALL ${KDE_INSTALL_APPDIR})

if(ANDROID)
#   Material requires QtSvg for icons
#   if we don't link it here explicitly, androiddeployqt doesn't bring it
    find_package(Qt5Svg REQUIRED)
    find_package(Qt5QuickControls2 REQUIRED)
    find_package(KF5Kirigami2 REQUIRED)
    kirigami_package_breeze_icons(ICONS list-add)
    target_link_libraries(kalgebramobile Qt::Svg KF5::Kirigami2 Qt::QuickControls2)
else()
    find_package(Qt5Widgets REQUIRED)
    target_link_libraries(kalgebramobile Qt::Widgets)
endif()

install(TARGETS kalgebramobile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kalgebramobile.desktop DESTINATION ${DESKTOPFILE_INSTALL} )
install(FILES org.kde.kalgebramobile.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kalgebra (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:25 +0000

kalgebra (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:56 +0000

kalgebra (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:48 +0000

kalgebra (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:41 +0000

kalgebra (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:39 +0000

kalgebra (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:14:08 +0000

kalgebra (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:19 +0000

kalgebra (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
-               libanalitza-dev (>= 4:21.08.1~),
+               libanalitza-dev (>= 4:21.12.3~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5),
@@ -26,8 +27,8 @@
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/kalgebra
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
 Rules-Requires-Root: no
 
 Package: kalgebra

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-webengine_archs := amd64 arm64 i386 mipsel
+webengine_archs := amd64 arm64 armhf i386 mipsel
 
 %:
 	dh $@ --with kf5
@@ -21,7 +21,3 @@
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kf5 -- -DMOBILE_BACKEND="none"
 endif
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf debian/kalgebra

## kalgebra 22.08.1

=== debian/changelog ===
kalgebra (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:56 +0100

kalgebra (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:07 +0100

kalgebra (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:29 +0100

kalgebra (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:17 +0100

kalgebra (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:15 +0100

kalgebra (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
-               libanalitza-dev (>= 4:21.12.3~),
+               libanalitza-dev (>= 4:22.08.1~),
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5),
